Bug 474786 - (CVE-2008-5341) CVE-2008-5341 Java Web Start exposes username and the pathname of the JWS cache
CVE-2008-5341 Java Web Start exposes username and the pathname of the JWS cache
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=sun,public=20081204,reported=2...
: Security
Depends On: 479822 479823 489679 489680
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 07:00 EST by Marc Schoenefeld
Modified: 2010-12-25 12:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-25 12:06:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2008-12-05 07:00:15 EST
Name: CVE-2008-5341
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5341
Reference: SUNALERT:244988
Reference: URL:http://sunsolve.sun.com/search/document.do?assetkey=1-26-244988-1

Unspecified vulnerability in Java Web Start (JWS) and Java Plug-in
with Sun JDK and JRE 6 Update 10 and earlier, and JDK and JRE 5.0
Update 16 and earlier, allows untrusted JWS applications to obtain the
pathname of the JWS cache and the application username via unknown
vectors.
Comment 1 Jan Lieskovsky 2008-12-08 04:06:28 EST
Another mention of this issue:

http://secunia.com/advisories/32991/ (Point 7) )
Comment 4 errata-xmlrpc 2009-03-25 10:52:32 EDT
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:0369 https://rhn.redhat.com/errata/RHSA-2009-0369.html
Comment 5 Vincent Danen 2010-12-25 12:06:18 EST
This was addressed via:

Red Hat Enterprise Linux version 4 Extras (java-1.6.0-sun) RHSA-2008:1018
RHEL Supplementary version 5 (java-1.6.0-sun) RHSA-2008:1018
Red Hat Enterprise Linux version 4 Extras (java-1.5.0-sun) RHSA-2008:1025
RHEL Supplementary version 5 (java-1.5.0-sun) RHSA-2008:1025
Red Hat Enterprise Linux version 4 Extras (java-1.5.0-ibm) RHSA-2009:0016
RHEL Supplementary version 5 (java-1.5.0-ibm) RHSA-2009:0016
Red Hat Enterprise Linux version 4 Extras (java-1.6.0-ibm) RHSA-2009:0369
RHEL Supplementary version 5 (java-1.6.0-ibm) RHSA-2009:0369

Note You need to log in before you can comment on or make changes to this bug.